lazbuild(1)

NAME
lazbuild - The Lazarus project and package build program.

SYNOPSIS
lazbuild [options] filename...

DESCRIPTION
lazbuild builds a Lazarus project or package. It compiles projects (.lpi) and packages (.lpk). It checks and automatically compiles required packages.

USAGE
lazbuild is a command-line tool that builds Lazarus projects and packages. It checks recursively all dependencies and compiles needed packages first. It uses the Free Pascal compiler (fpc) to compile.

OPTIONS

-h, --help
    Displays a short help message.

-B, --build-all
    build all files of project/package. Has the same effect as option -B of fpc(1).

-r, --recursive
    apply build flags (-B) to dependencies too.

-d, --skip-dependencies
    do not compile dependencies

--build-ide=<options>
    Compile the IDE (i.e. the lazarus executable). The list of installation packages is read from the config directory. The <options> can be empty.

-v, --version
    show version and exit

--pcp=<path>, --primary-config-path=<path>
    primary config directory, where Lazarus stores its config files. Default is /home/mazen/.lazarus

--scp=<path>, --secondary-config-path=<path>
    secondary config directory, where Lazarus searches for config template files. Default is /etc/lazarus

--os=<operating-system>, --operating-system=<operating-system>
    override the project operating system. e.g. win32 or linux.

--ws=<widgetset>, --widgetset=<widgetset>
    override the project widgetset. e.g. gtk, gtk2, qt, win32 or carbon.

--cpu=<cpu>
    override the project cpu. e.g. i386, x86_64, powerpc, powerpc_64 etc.

--build-mode=<project build mode>, --bm=<project build mode>
    override the project build mode.

--compiler=<ppcXXX>
    override the default compiler. e.g. ppc386, ppcx64, ppcppc etc.

--language=<lang>
    Override language. For example --language=de. For possible values see files in the lazarus languages directory.

.lpi and .lpk files
The .lpi and .lpk files are best created and edited with the Lazarus IDE. The files are in xml. There is no reason to edit them manually, except for very rare cases like renaming hundreds of files.

SEE ALSO

    lazarus-ide(1) startlazarus(1) fpc(1) ld(1) fpcmake(1) make(1)

Websites

    http://www.lazarus.freepascal.org